Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
compute
/
instances
/
{id}
/
monitors
/
{monitor_id}
/
latency
[Monitors] Get monitor latency history
curl --request GET \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/instances/{id}/monitors/{monitor_id}/latency \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "avg_latency_ms": 123,
      "min_latency_ms": 123,
      "max_latency_ms": 123,
      "latency_ms": 123,
      "status": "<string>",
      "count": 123
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Instance.

monitor_id
string
required

Unique identifier of the monitor.

organization_id
string<uuid>
required
project_id
string<uuid>
required

Query Parameters

granularity
string

Granularity: raw or hour

hours
integer

Number of hours of history

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"